<template>
    <div class="whole">
        <h3 style="text-align: center">隐患排查标准清单(基础管理清单)</h3>
        <el-table
            :data="tableData"
            style="width: 100%">
            <el-table-column label="排查内容" align="center">
                <el-table-column
                    prop="factor_1"
                    label="Ⅰ级要素"
                    width="120">
                </el-table-column>
                <el-table-column
                    prop="factor_2"
                    label="Ⅱ级要素"
                    width="120">
                </el-table-column>
                <el-table-column
                    prop="factor_3"
                    label="Ⅲ级要素"
                    width="120">
                </el-table-column>
                <el-table-column
                    prop="factor_4"
                    label="Ⅳ级要素"
                    width="120">
                </el-table-column>
            </el-table-column>
            <el-table-column label="排查标准" align="center">
                <el-table-column
                    prop="Standard"
                    label="标准项具体描述"
                    width="300">
                </el-table-column>
                <el-table-column
                    prop="reference"
                    width="200"
                    label="参考依据">
                </el-table-column>
            </el-table-column>
            <el-table-column
                prop="method"
                label="排查方法"
                width="150">
            </el-table-column>
            <el-table-column
                prop="period"
                label="排查周期"
                width="150">
            </el-table-column>
            <el-table-column label="排查责任" align="center">
                <el-table-column
                    prop="level"
                    label="排查级别">
                </el-table-column>
                <el-table-column
                    prop="branch"
                    label="责任单位">
                </el-table-column>
            </el-table-column>
        </el-table>
    </div>
</template>

<script>
import {stand_list} from "@/api/sgyhpczl/hiddenDangerTroubleshootingList";

export default {
    name: "preview",
    data() {
        return {
            tableData: []
        }
    },
    mounted() {
        this.getTableData()
    },
    methods: {
        getTableData() {
            stand_list(this.$route.query.templateName).then((res) => {
                if (res.data.ok) {
                    console.log(res);
                    this.tableData = res.data.data;
                } else {
                    this.$message({type: 'error', message: res.data.msg, duration: 3000})
                }
            })
        }
    }
}
</script>

<style scoped>

</style>
